tibbs / rpms / freecad

Forked from rpms/freecad 5 years ago
Clone
700b5cb
%{!?_licensedir:%global license %%doc}
700b5cb
4dd0aff
# Maintainers:  keep this list of plugins up to date
4dd0aff
# List plugins in %%{_libdir}/freecad/lib, less '.so' and 'Gui.so', here
700b5cb
%global plugins Complete Drawing Fem FreeCAD Image Import Inspection Mesh MeshPart Part Points QtUnit Raytracing ReverseEngineering Robot Sketcher Start Web PartDesignGui _PartDesign Spreadsheet SpreadsheetGui
4dd0aff
4dd0aff
# Some plugins go in the Mod folder instead of lib. Deal with those here:
4dd0aff
%global mod_plugins Mod/PartDesign
4dd0aff
700b5cb
# This revision is 0.15 final.
700b5cb
%global rev 4671
4dd0aff
4dd0aff
# Temporary workaround for cmake/boost bug:
4dd0aff
# http://public.kitware.com/Bug/view.php?id=13446
4dd0aff
%if 0%{?rhel} && 0%{?rhel} <= 6
e4d5313
%global cmake %cmake -DBoost_NO_BOOST_CMAKE=ON
4dd0aff
%endif
4dd0aff
4dd0aff
# Some configuration options for other environments
4dd0aff
# rpmbuild --with=occ:  Compile using OpenCASCADE instead of OCE
4dd0aff
%global occ %{?_with_occ: 1} %{?!_with_occ: 0}
4dd0aff
# rpmbuild --with=bundled_zipios:  use bundled version of zipios++
4dd0aff
%global bundled_zipios %{?_with_bundled_zipios: 1} %{?!_with_bundled_zipios: 0}
4dd0aff
# rpmbuild --with=bundled_pycxx:  use bundled version of pycxx
4dd0aff
%global bundled_pycxx %{?_with_bundled_pycxx: 1} %{?!_with_bundled_pycxx: 0}
4dd0aff
# rpmbuild --with=bundled_smesh:  use bundled version of Salome's Mesh
4dd0aff
%global bundled_smesh %{?_with_bundled_smesh: 1} %{?!_with_bundled_smesh: 0}
4dd0aff
4dd0aff
4dd0aff
Name:           freecad
d0f96b7
Epoch:          1
700b5cb
Version:        0.15
d2c8db3
Release:        9%{?dist}
4dd0aff
Summary:        A general purpose 3D CAD modeler
4dd0aff
Group:          Applications/Engineering
4dd0aff
4dd0aff
License:        GPLv2+
4dd0aff
URL:            http://sourceforge.net/apps/mediawiki/free-cad/
700b5cb
Source0:        http://downloads.sourceforge.net/free-cad/%{name}_%{version}%{?rev:.%{rev}}.tar.gz
4dd0aff
Source101:      freecad.desktop
4dd0aff
Source102:      freecad.1
4d27c12
Source103:      freecad.appdata.xml
4d27c12
Source104:      freecad.sharedmimeinfo
4dd0aff
4d27c12
Patch0:         freecad-3rdParty.patch
4d27c12
Patch1:         freecad-0.14-Xlib_h.patch
700b5cb
Patch2:         freecad-0.15-zipios.patch
9d993c7
Patch3:         freecad-0.14-Version_h.patch
4dd0aff
4dd0aff
# Utilities
4dd0aff
BuildRequires:  cmake
4dd0aff
BuildRequires:  doxygen swig graphviz
4dd0aff
BuildRequires:  gcc-gfortran
4dd0aff
BuildRequires:  gettext
4dd0aff
BuildRequires:  dos2unix
4dd0aff
BuildRequires:  desktop-file-utils
2b30698
%ifnarch ppc64
61a9a46
BuildRequires:  tbb-devel
2b30698
%endif
4dd0aff
# Development Libraries
4dd0aff
BuildRequires:  freeimage-devel
4dd0aff
BuildRequires:  libXmu-devel
4dd0aff
BuildRequires:  mesa-libGLU-devel
4dd0aff
%if %{occ}
4dd0aff
BuildRequires:  OpenCASCADE-devel
4dd0aff
%else
4dd0aff
BuildRequires:  OCE-devel
700b5cb
# Temporary fix for OCE-devel not pulling in draw package
700b5cb
BuildRequires:  OCE-draw
4dd0aff
%endif
700b5cb
BuildRequires:  Coin3-devel
4dd0aff
BuildRequires:  python2-devel
4dd0aff
BuildRequires:  boost-devel
4dd0aff
BuildRequires:  eigen3-devel
4dd0aff
BuildRequires:  qt-devel qt-webkit-devel
4dd0aff
BuildRequires:  SoQt-devel
4dd0aff
# Not used yet.
4dd0aff
#BuildRequires:  ode-devel
4dd0aff
BuildRequires:  xerces-c xerces-c-devel
4dd0aff
BuildRequires:  libspnav-devel
dea497b
BuildRequires:  shiboken-devel
700b5cb
BuildRequires:  python-pyside-devel pyside-tools
4dd0aff
#BuildRequires:  opencv-devel
4dd0aff
%if ! %{bundled_smesh}
4dd0aff
BuildRequires:  smesh-devel
4dd0aff
%endif
4d27c12
BuildRequires:  netgen-mesher-devel
4dd0aff
%if ! %{bundled_zipios}
4dd0aff
BuildRequires:  zipios++-devel
4dd0aff
%endif
4dd0aff
%if ! %{bundled_pycxx}
4dd0aff
BuildRequires:  python-pycxx-devel
4dd0aff
%endif
4dd0aff
BuildRequires:  libicu-devel
4dd0aff
BuildRequires:  python-matplotlib
4dd0aff
4d27c12
# For appdata
4d27c12
%if 0%{?fedora}
4d27c12
BuildRequires:  libappstream-glib
4d27c12
%endif
4d27c12
4dd0aff
# Packages separated because they are noarch, but not optional so require them
4dd0aff
# here.
c35a14e
Requires:       %{name}-data = %{epoch}:%{version}-%{release}
4dd0aff
# Obsolete old doc package since it's required for functionality.
a3cff97
Obsoletes:      %{name}-doc < 0.13-5
4dd0aff
4dd0aff
# Needed for plugin support and is not a soname dependency.
4d27c12
%if ! 0%{?rhel} <= 6 && "%{_arch}" != "ppc64"
95251bf
# python-pivy does not build on EPEL 6 ppc64.
4dd0aff
Requires:       python-pivy
2704948
%endif
4dd0aff
Requires:       hicolor-icon-theme
4dd0aff
Requires:       python-matplotlib
4dd0aff
Requires:       python-collada
1338662
Requires:       python-pyside
4dd0aff
4dd0aff
# plugins and private shared libs in %%{_libdir}/freecad/lib are private;
4dd0aff
# prevent private capabilities being advertised in Provides/Requires
4dd0aff
%define plugin_regexp /^\\\(libFreeCAD.*%(for i in %{plugins}; do echo -n "\\\|$i\\\|$iGui"; done)\\\)\\\(\\\|Gui\\\)\\.so/d
4dd0aff
%{?filter_setup:
4dd0aff
%filter_provides_in %{_libdir}/%{name}/lib
4dd0aff
%filter_from_requires %{plugin_regexp}
4dd0aff
%filter_from_provides %{plugin_regexp}
4dd0aff
%filter_provides_in %{_libdir}/%{name}/Mod
4dd0aff
%filter_requires_in %{_libdir}/%{name}/Mod
4dd0aff
%filter_setup
4dd0aff
}
4dd0aff
4dd0aff
4dd0aff
%description
4dd0aff
FreeCAD is a general purpose Open Source 3D CAD/MCAD/CAx/CAE/PLM modeler, aimed
4dd0aff
directly at mechanical engineering and product design but also fits a wider
4dd0aff
range of uses in engineering, such as architecture or other engineering
4dd0aff
specialties. It is a feature-based parametric modeler with a modular software
4dd0aff
architecture which makes it easy to provide additional functionality without
4dd0aff
modifying the core system.
4dd0aff
4dd0aff
4dd0aff
%package data
4dd0aff
Summary:        Data files for FreeCAD
4dd0aff
BuildArch:      noarch
4ecb74a
Requires:       %{name} = %{epoch}:%{version}-%{release}
4dd0aff
4dd0aff
%description data
4dd0aff
Data files for FreeCAD
4dd0aff
4dd0aff
4dd0aff
%prep
700b5cb
%setup -q -n freecad-%{version}%{?rev:.%{rev}}
4d27c12
%patch0 -p1 -b .3rdparty
4dd0aff
# Remove bundled pycxx if we're not using it
4dd0aff
%if ! %{bundled_pycxx}
4dd0aff
rm -rf src/CXX
4dd0aff
%endif
4d27c12
%patch1 -p1 -b .Xlib_h
700b5cb
%patch2 -p1 -b .zipios
9d993c7
%patch3 -p1
4dd0aff
4dd0aff
%if ! %{bundled_zipios}
4dd0aff
rm -rf src/zipios++
700b5cb
#sed -i "s/zipios-config.h/zipios-config.hpp/g" \
700b5cb
#    src/Base/Reader.cpp src/Base/Writer.h
4dd0aff
%endif
4dd0aff
4dd0aff
# Fix encodings
4dd0aff
dos2unix -k src/Mod/Test/unittestgui.py \
4dd0aff
            ChangeLog.txt \
4dd0aff
            copying.lib \
4dd0aff
            data/License.txt
4dd0aff
4dd0aff
# Removed bundled libraries
4dd0aff
rm -rf src/3rdParty
4dd0aff
4dd0aff
4dd0aff
%build
4dd0aff
rm -rf build && mkdir build && pushd build
4dd0aff
4dd0aff
# Deal with cmake projects that tend to link excessively.
f3c02b9
LDFLAGS='-Wl,--as-needed -Wl,--no-undefined'; export LDFLAGS
4dd0aff
4dd0aff
%cmake -DCMAKE_INSTALL_PREFIX=%{_libdir}/%{name} \
4dd0aff
       -DCMAKE_INSTALL_DATADIR=%{_datadir}/%{name} \
4dd0aff
       -DCMAKE_INSTALL_DOCDIR=%{_docdir}/%{name} \
4dd0aff
       -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir} \
dea497b
       -DRESOURCEDIR=%{_datadir}/%{name} \
700b5cb
       -DCOIN3D_INCLUDE_DIR=%{_includedir}/Coin3 \
700b5cb
       -DCOIN3D_DOC_PATH=%{_datadir}/Coin3/Coin \
4dd0aff
       -DFREECAD_USE_EXTERNAL_PIVY=TRUE \
4dd0aff
%if %{occ}
4dd0aff
       -DUSE_OCC=TRUE \
4dd0aff
%endif
4dd0aff
%if ! %{bundled_smesh}
4d27c12
       -DFREECAD_USE_EXTERNAL_SMESH=TRUE \
4d27c12
       -DSMESH_INCLUDE_DIR=%{_includedir}/smesh \
4dd0aff
%endif
4dd0aff
%if ! %{bundled_zipios}
4dd0aff
       -DFREECAD_USE_EXTERNAL_ZIPIOS=TRUE \
4dd0aff
%endif
4dd0aff
%if ! %{bundled_pycxx}
4dd0aff
       -DPYCXX_INCLUDE_DIR=$(pkg-config --variable=includedir PyCXX) \
4dd0aff
       -DPYCXX_SOURCE_DIR=$(pkg-config --variable=srcdir PyCXX) \
4dd0aff
%endif
4dd0aff
       ../
4dd0aff
4dd0aff
make %{?_smp_mflags}
4dd0aff
4dd0aff
4dd0aff
%install
4dd0aff
pushd build
4dd0aff
%make_install
4dd0aff
popd
4dd0aff
4dd0aff
# Symlink binaries to /usr/bin
4dd0aff
mkdir -p %{buildroot}%{_bindir}
4dd0aff
pushd %{buildroot}%{_bindir}
4dd0aff
ln -s ../%{_lib}/freecad/bin/FreeCAD .
4dd0aff
ln -s ../%{_lib}/freecad/bin/FreeCADCmd .
4dd0aff
popd
4dd0aff
4dd0aff
# Fix problems with unittestgui.py
4dd0aff
#chmod +x %{buildroot}%{_libdir}/%{name}/Mod/Test/unittestgui.py
4dd0aff
4dd0aff
# Install desktop file
4dd0aff
desktop-file-install                                   \
4dd0aff
    --dir=%{buildroot}%{_datadir}/applications         \
4dd0aff
    %{SOURCE101}
4dd0aff
sed -i 's,@lib@,%{_lib},g' %{buildroot}%{_datadir}/applications/%{name}.desktop
4dd0aff
4dd0aff
# Install desktop icon
4dd0aff
install -pD -m 0644 src/Gui/Icons/%{name}.svg \
4dd0aff
    %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
4dd0aff
4dd0aff
# Install man page
4dd0aff
install -pD -m 0644 %{SOURCE102} \
4dd0aff
    %{buildroot}%{_mandir}/man1/%{name}.1
4dd0aff
4dd0aff
# Symlink manpage to other binary names
4dd0aff
pushd %{buildroot}%{_mandir}/man1
4dd0aff
ln -sf %{name}.1.gz FreeCAD.1.gz 
4dd0aff
ln -sf %{name}.1.gz FreeCADCmd.1.gz
4dd0aff
popd
4dd0aff
2f2cafe
# Remove obsolete Start_Page.html
2f2cafe
rm -f %{buildroot}%{_docdir}/%{name}/Start_Page.html
4dd0aff
4d27c12
# Install MimeType file
4d27c12
mkdir -p %{buildroot}%{_datadir}/mime/packages
4d27c12
install -pm 0644 %{SOURCE104} %{buildroot}%{_datadir}/mime/packages/%{name}.xml
4d27c12
4d27c12
# Install appdata file
4d27c12
mkdir -p %{buildroot}%{_datadir}/appdata
4d27c12
install -pm 0644 %{SOURCE103} %{buildroot}%{_datadir}/appdata/
4d27c12
4dd0aff
# Bug maintainers to keep %%{plugins} macro up to date.
4dd0aff
#
4dd0aff
# Make sure there are no plugins that need to be added to plugins macro
4dd0aff
new_plugins=`ls %{buildroot}%{_libdir}/freecad/lib | sed -e  '%{plugin_regexp}'`
4dd0aff
if [ -n "$new_plugins" ]; then
4dd0aff
    echo -e "\n\n\n**** ERROR:\n" \
4dd0aff
        "\nPlugins not caught by regexp:  " $new_plugins \
4dd0aff
        "\n\nPlugins in %{_libdir}/freecad/lib do not exist in" \
4dd0aff
         "\nspecfile %%{plugins} macro.  Please add these to" \
4dd0aff
         "\n%%{plugins} macro at top of specfile and rebuild.\n****\n" 1>&2
4dd0aff
    exit 1
4dd0aff
fi
4dd0aff
# Make sure there are no entries in the plugins macro that don't match plugins
4dd0aff
for p in %{plugins}; do
4dd0aff
    if [ -z "`ls %{buildroot}%{_libdir}/freecad/lib/$p*.so`" ]; then
4dd0aff
        set +x
4dd0aff
        echo -e "\n\n\n**** ERROR:\n" \
4dd0aff
             "\nExtra entry in %%{plugins} macro with no matching plugin:" \
4dd0aff
             "'$p'.\n\nPlease remove from %%{plugins} macro at top of" \
4dd0aff
             "\nspecfile and rebuild.\n****\n" 1>&2
4dd0aff
        exit 1
4dd0aff
    fi
4dd0aff
done
4dd0aff
4dd0aff
4d27c12
4d27c12
%check
4d27c12
%{?fedora:appstream-util validate-relax --nonet \
4d27c12
    %{buildroot}/%{_datadir}/appdata/*.appdata.xml}
4d27c12
4d27c12
4dd0aff
%post
4dd0aff
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
4dd0aff
/usr/bin/update-desktop-database &> /dev/null || :
4d27c12
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
4dd0aff
4dd0aff
%postun
4dd0aff
if [ $1 -eq 0 ] ; then
4dd0aff
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
4dd0aff
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
4dd0aff
fi
4dd0aff
/usr/bin/update-desktop-database &> /dev/null || :
4d27c12
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
4dd0aff
4dd0aff
%posttrans
4dd0aff
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
4dd0aff
4dd0aff
4dd0aff
%files
700b5cb
%license copying.lib data/License.txt
700b5cb
%doc ChangeLog.txt README
4dd0aff
%exclude %{_docdir}/freecad/freecad.*
4dd0aff
%{_bindir}/*
4d27c12
%{_datadir}/appdata/*.appdata.xml
4dd0aff
%{_datadir}/applications/%{name}.desktop
4dd0aff
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
4d27c12
%{_datadir}/mime/packages/%{name}.xml
4dd0aff
%dir %{_libdir}/%{name}
4dd0aff
%{_libdir}/%{name}/bin/
4dd0aff
%{_libdir}/%{name}/lib/
4dd0aff
%{_libdir}/%{name}/Mod/
4dd0aff
%{_mandir}/man1/*.1.gz
4dd0aff
4dd0aff
%files data
4dd0aff
%{_datadir}/%{name}/
4dd0aff
%{_docdir}/%{name}/freecad.q*
4dd0aff
4dd0aff
4dd0aff
%changelog
d2c8db3
* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 1:0.15-9
d2c8db3
- Rebuilt for Boost 1.59
d2c8db3
0f42ff8
* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.15-8
0f42ff8
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159
0f42ff8
b7b0399
* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1:0.15-7
b7b0399
- rebuild for Boost 1.58
b7b0399
041af8f
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.15-6
041af8f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
041af8f
9d993c7
* Thu May 28 2015 Richard Shaw <hobbes1069@gmail.com> - 0.15-5
9d993c7
- Fix version reporting in the About dialog (BZ#1192841).
9d993c7
4ecb74a
* Tue May 19 2015 Richard Shaw <hobbes1069@gmail.com> - 1:0.15-4
d0f96b7
- Bump Epoch to downgrade to 0.14 for Fedora 21 and below due to Coin2/Coin3
d0f96b7
  library mismatch between Freecad & python-pivy (BZ#1221713).
d0f96b7
700b5cb
* Fri Apr 10 2015 Richard Shaw <hobbes1069@gmail.com> - 0.15-1
700b5cb
- Update to latest upstream release.
700b5cb
Petr Machata b179de6
* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.14-6
Petr Machata b179de6
- Rebuild for boost 1.57.0
Petr Machata b179de6
860f76e
* Tue Jan  6 2015 Richard Shaw <hobbes1069@gmail.com> - 0.14-5
4d27c12
- Fix bug introduced by PythonSnap patch, fixes BZ#1178672.
4d27c12
4d27c12
* Thu Sep 18 2014 Richard Shaw <hobbes1069@gmail.com> - 0.14-4
1e43ba1
- Patch PythonSnap, fixes BZ#1143814.
1e43ba1
4a7aede
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
4a7aede
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
4a7aede
e4d5313
* Mon Aug  4 2014 Richard Shaw <hobbes1069@gmail.com> - 0.14-2
1338662
- Add python-pyside as requirement as it is not currently being pulled in as a
1338662
  automatic dependency by rpmbuild.
1338662
dea497b
* Wed Jul 16 2014 Richard Shaw <hobbes1069@gmail.com> - 0.14-1
dea497b
- Update to latest upstream release.
dea497b
b6faf5e
* Mon Jun 23 2014 John Morris <john@zultron.com> - 0.13-10
b6faf5e
- Add Requires: qt-assistant for bz #1112045
b6faf5e
95251bf
* Thu Jun 19 2014 Richard Shaw <hobbes1069@gmail.com> - 0.13-9
95251bf
- Fix obsoletes of old documentation subpackage.
95251bf
- Add conditional so EPEL 6 ppc64 does not require python-pivy which does not
95251bf
  build on that platform.
95251bf
69b3591
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-8
69b3591
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
69b3591
f3c02b9
* Thu May 29 2014 Richard Shaw <hobbes1069@gmail.com> - 0.13-7
f3c02b9
- Update OCE patch with bad conditional which caused undefined symbols.
f3c02b9
4dd0aff
* Fri May 23 2014 Richard Shaw <hobbes1069@gmail.com> - 0.13-6
4dd0aff
- Fix duplicate documentation.
4dd0aff
- Correct license tag to GPLv2+.
4dd0aff
4dd0aff
* Mon May 19 2014 Richard Shaw <hobbes1069@gmail.com> - 0.13-5
4dd0aff
- Move noarch data into it's own subpackage.
4dd0aff
- Fix cmake conditionals to work for epel7.
4dd0aff
4dd0aff
* Thu Oct 10 2013 Richard Shaw <hobbes1069@gmail.com> - 0.13-4
4dd0aff
- Rebuild for OCE 0.13.
4dd0aff
4dd0aff
* Mon Jul 15 2013 Richard Shaw <hobbes1069@gmail.com> - 0.13-3
4dd0aff
- Rebuild for updated OCE.
4dd0aff
4dd0aff
* Mon Apr 29 2013 Nicolas Chauvet <kwizart@gmail.com> - 0.13-2
4dd0aff
- https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
4dd0aff
4dd0aff
* Mon Feb 18 2013 Richard Shaw <hobbes1069@gmail.com> - 0.13-1
4dd0aff
- Update to latest upstream release.
4dd0aff
4dd0aff
* Sat Oct 20 2012 John Morris <john@zultron.com> - 0.12-9
4dd0aff
- Use cmake28 package on el6
4dd0aff
- Remove COIN3D_DOC_PATH cmake def (one less warning during build)
4dd0aff
- Add PyQt as requirement.
4dd0aff
- Add libicu-devel as build requirement.
4dd0aff
4dd0aff
* Wed Sep 26 2012 Richard Shaw <hobbes1069@gmail.com> - 0.12-8
4dd0aff
- Rebuild for boost 1.50.
4dd0aff
4dd0aff
* Thu Jul 05 2012 Richard Shaw <hobbes1069@gmail.com> - 0.12-7
4dd0aff
- Remove BuildRequires: tbb-devel and gts-devel
4dd0aff
- Add missing license files to %%doc.
4dd0aff
- Add missing requirement for hicolor-icon-theme.
4dd0aff
- Fix excessive linking issue.
4dd0aff
- Other minor spec updates.
4dd0aff
4dd0aff
* Mon Jun 25 2012  <john@zultron.com> - 0.12-6
4dd0aff
- Filter out automatically generated Provides/Requires of private libraries
4dd0aff
- freecad.desktop not passing 'desktop-file-validate'; fixed
4dd0aff
- Remove BuildRequires: tbb-devel and gts-devel
4dd0aff
- Update license tag to GPLv3+ only.
4dd0aff
- Add missing license files to %%doc.
4dd0aff
- Add missing build requirement for hicolor-icon-theme.
4dd0aff
- Fix excessive linking issue.
4dd0aff
- Other minor spec updates.
4dd0aff
4dd0aff
* Mon Jun 25 2012  <john@zultron.com> - 0.12-5
4dd0aff
- New patch to unbundle PyCXX
4dd0aff
- Add conditional build options for OpenCASCADE, bundled Zipios++,
4dd0aff
  bundled PyCXX, bundled smesh
4dd0aff
4dd0aff
* Tue Jun 19 2012 Richard Shaw <hobbes1069@gmail.com> - 0.12-4
4dd0aff
- Add linker flag to stop excessive linking.
4dd0aff
4dd0aff
* Thu May 31 2012 Richard Shaw <hobbes1069@gmail.com> - 0.12-3
4dd0aff
- Add patch for GCC 4.7 on Fedora 17.
4dd0aff
4dd0aff
* Thu Nov 10 2011 Richard Shaw <hobbes1069@gmail.com> - 0.12-2
4dd0aff
- Initial release.